Obtaining a list of information about allocation of volumes to compute nodes

Virtual Storage Platform One SDS Block and SDS Cloud Virtual Private Storage Administration

Version
1.19.x
Audience
anonymous
Part Number
MK-24VSP1SDS028-03
ft:lastEdition
2026-04-20

The following information can be obtained.

  • id: IDs of compute node allocation information (each ID is a string consisting of a volume ID and a compute node ID connected by a Comma (,))

  • serverId: IDs (uuid) of compute nodes

  • volumeId: IDs (uuid) of volumes

  • lun:

    • LUN for FC or iSCSI connection
    • Always null for NVMe/TCP connection
  • nameSpaceId:

    • Always null for FC or iSCSI connection

    • Namespace for NVMe/TCP connection

  • nvmSubSystemNqn:
    • Always null for FC or iSCSI connection

    • Subsystem identification for NVMe/TCP connection

  • vpsId: ID of the VPS to which volume paths belong

  • vpsName: Name of the VPS to which volume paths belong

  • Required role: VpsSecurity, VpsStorage, or VpsMonitor

  1. Verify the IDs of volumes.

    REST API: GET /v1/objects/volumes

    CLI: volume_list

  2. Verify the IDs of compute nodes.

    REST API: GET /v1/objects/servers

    CLI: server_list

  3. Obtain a list of information about allocation of volumes to compute nodes.

    Run one of the following commands with the volume ID and compute node ID specified in the query parameter.

    REST API: GET /v1/objects/volume-server-connections

    CLI: volume_server_connection_list